"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildScrollSteps = void 0;
exports.buildScrollSteps = (events) => {
    const steps = [];
    for (let i = 0; i < events.length; i++) {
        const event = events[i];
        if (event.name !== 'scroll')
            continue;
        if (!event.isTrusted)
            continue;
        const nextEvent = i + 1 < events.length ? events[i + 1] : null;
        if (nextEvent && nextEvent.name === 'scroll')
            continue;
        steps.push({
            action: 'scroll',
            event,
            index: steps.length,
            value: event.value,
        });
    }
    return steps;
};
//# sourceMappingURL=buildScrollSteps.js.map