"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSteps = void 0;
const lodash_1 = require("lodash");
const buildClickSteps_1 = require("./buildClickSteps");
const buildKeySteps_1 = require("./buildKeySteps");
const buildScrollSteps_1 = require("./buildScrollSteps");
const buildSelectOptionSteps_1 = require("./buildSelectOptionSteps");
exports.buildSteps = (events) => {
    const unorderedSteps = lodash_1.concat(buildClickSteps_1.buildClickSteps(events), buildKeySteps_1.buildKeySteps(events), buildScrollSteps_1.buildScrollSteps(events), buildSelectOptionSteps_1.buildSelectOptionSteps(events));
    let steps = lodash_1.sortBy(unorderedSteps, (step) => step.event.time);
    steps = steps.map((step, index) => (Object.assign(Object.assign({}, step), { index })));
    return steps;
};
//# sourceMappingURL=buildSteps.js.map