"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveTemplate = exports.buildPath = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
const playwright_ci_1 = require("playwright-ci");
const buildTemplate_1 = require("../build-code/buildTemplate");
exports.buildPath = ({ name, rootDir, useTypeScript, }) => {
    const extension = useTypeScript ? 'ts' : 'js';
    const filename = `${name}.test.${extension}`;
    return path_1.join(rootDir, filename);
};
exports.saveTemplate = (options) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const path = exports.buildPath(options);
    if (!(yield playwright_ci_1.promptOverwrite(path)))
        return null;
    const templateFn = options.templateFn || buildTemplate_1.buildTemplate;
    const code = yield templateFn(options);
    yield fs_extra_1.ensureFile(path);
    yield fs_extra_1.writeFile(path, code);
    return path;
});
//# sourceMappingURL=saveTemplate.js.map