"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPrompt = void 0;
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const path_1 = require("path");
const utils_1 = require("../utils");
exports.createPrompt = (codePath) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { choice } = yield inquirer_1.default.prompt([
        {
            choices: [
                '💾  Save and exit',
                '🖥️  Open REPL to run code',
                '🗑️  Discard and exit',
            ],
            message: `Edit your code at: ${path_1.relative(process.cwd(), codePath)}`,
            name: 'choice',
            type: 'list',
        },
    ]);
    if (choice.includes('REPL')) {
        yield utils_1.repl();
        return exports.createPrompt(codePath);
    }
    const shouldSave = choice.includes('Save');
    return shouldSave;
});
//# sourceMappingURL=createPrompt.js.map