"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildJestArguments = void 0;
const tslib_1 = require("tslib");
exports.buildJestArguments = (_a) => {
    var { config } = _a, options = tslib_1.__rest(_a, ["config"]);
    const builtArgs = [];
    const providedArgs = options.args || [];
    if (config.config) {
        builtArgs.push(`--config="${config.config}"`);
    }
    builtArgs.push(`--rootDir=${config.rootDir}`);
    const hasTimeoutArg = !!providedArgs.find((arg) => arg.toLowerCase().includes('testtimeout'));
    if (!hasTimeoutArg) {
        builtArgs.push(`--testTimeout=${config.testTimeout}`);
    }
    if (providedArgs.length) {
        builtArgs.push(...providedArgs);
    }
    if (options.testPath) {
        const testPath = options.testPath.replace(/\\/g, '/');
        builtArgs.push(`"${testPath}"`);
    }
    return builtArgs;
};
//# sourceMappingURL=buildJestArguments.js.map