"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runTests = void 0;
const child_process_1 = require("child_process");
const buildJestArguments_1 = require("./buildJestArguments");
exports.runTests = (options) => {
    const command = `npx jest ${buildJestArguments_1.buildJestArguments(options).join(' ')}`;
    for (const browser of options.browsers) {
        console.log(`Test: ${browser}`);
        console.log(`${command}\n`);
        child_process_1.execSync(command, {
            stdio: 'inherit',
            env: Object.assign(Object.assign({ QAW_BROWSER: browser, QAW_HEADLESS: options.headless ? 'true' : 'false' }, options.env), process.env),
        });
    }
};
//# sourceMappingURL=runTests.js.map