"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Registry = void 0;
const events_1 = require("events");
let Registry = (() => {
    class Registry extends events_1.EventEmitter {
        constructor() {
            super(...arguments);
            this._data = {};
        }
        static instance() {
            return this._instance;
        }
        data() {
            return this._data;
        }
        setValue(key, value) {
            this._data[key] = value;
            this.emit('change');
        }
        setBrowser(browser) {
            this.setValue('browser', browser);
        }
        setContext(context) {
            this.setValue('context', context);
        }
        setQawolf(value) {
            this.setValue('qawolf', value);
        }
    }
    Registry._instance = new Registry();
    return Registry;
})();
exports.Registry = Registry;
//# sourceMappingURL=Registry.js.map