"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.indexPages = void 0;
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
const debug = debug_1.default('qawolf:indexPages');
exports.indexPages = (context) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (context._putilsIndexed)
        return;
    context._putilsIndexed = true;
    let index = 0;
    const pages = context.pages();
    if (pages.length > 1) {
        throw new Error(`Cannot index pages when more than 1 exist (${pages.length})`);
    }
    if (pages[0]) {
        debug(`index existing page ${index}`);
        pages[0].createdIndex = index++;
    }
    context.on('page', (page) => {
        debug(`index created page ${index}`);
        page.createdIndex = index++;
    });
});
//# sourceMappingURL=indexPages.js.map