"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForPage = void 0;
const tslib_1 = require("tslib");
const util_1 = require("util");
const indexPages_1 = require("./indexPages");
const waitFor_1 = require("../waitFor");
exports.waitForPage = (context, index, options = {}) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield indexPages_1.indexPages(context);
    const page = yield waitFor_1.waitFor(() => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const pages = context.pages();
        const match = pages.find((page) => page.createdIndex === index);
        return match;
    }), { timeout: options.timeout || 30000 });
    if (!util_1.isNull(options.waitUntil)) {
        yield page.waitForLoadState(options.waitUntil || 'load');
    }
    return page;
});
//# sourceMappingURL=waitForPage.js.map