"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initEvaluateScript = void 0;
const tslib_1 = require("tslib");
const NAVIGATION_ERRORS = [
    'Execution context was destroyed',
    'Inspected target navigated or closed',
];
exports.initEvaluateScript = (page, script, ...args) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (page.isClosed())
        return;
    yield page.addInitScript(script, ...args);
    try {
        const result = yield page.evaluate(script, ...args);
        return result;
    }
    catch (error) {
        const shouldIgnore = !!NAVIGATION_ERRORS.find((message) => error.message.includes(message));
        if (shouldIgnore)
            return;
        throw error;
    }
});
//# sourceMappingURL=initEvaluateScript.js.map