"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveConsoleLogs = void 0;
const tslib_1 = require("tslib");
const debug_1 = tslib_1.__importDefault(require("debug"));
const fs_1 = require("fs");
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
const interceptConsoleLogs_1 = require("./interceptConsoleLogs");
const debug = debug_1.default('qawolf:saveConsoleLogs');
exports.saveConsoleLogs = (page, savePath) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    debug(`save console logs at ${savePath}`);
    yield fs_extra_1.ensureDir(path_1.dirname(savePath));
    const callback = (level, message) => {
        const line = `${level}: ${message}\n`;
        fs_1.appendFileSync(savePath, line);
    };
    return interceptConsoleLogs_1.interceptConsoleLogs(page, callback);
});
//# sourceMappingURL=saveConsoleLogs.js.map