"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveState = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const getState = (page) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const context = page.context();
    const cookies = yield context.cookies();
    const { localStorage, sessionStorage } = yield page.evaluate(() => {
        return {
            localStorage: Object.assign({}, localStorage),
            sessionStorage: Object.assign({}, sessionStorage),
        };
    });
    return { cookies, localStorage, sessionStorage };
});
exports.saveState = (page, savePath) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const state = yield getState(page);
    yield fs_extra_1.ensureFile(savePath);
    return fs_extra_1.writeJSON(savePath, state);
});
//# sourceMappingURL=saveState.js.map