"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setState = void 0;
const tslib_1 = require("tslib");
const fs_extra_1 = require("fs-extra");
const setStorage = ({ items, page, storageType, }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (!Object.keys(items).length)
        return;
    yield page.evaluate(({ items, storageType }) => {
        window[storageType].clear();
        Object.keys(items).forEach((key) => {
            window[storageType].setItem(key, items[key]);
        });
    }, {
        items,
        storageType,
    });
});
exports.setState = (page, savePath) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const state = yield fs_extra_1.readJSON(savePath);
    if (state.cookies && state.cookies.length) {
        const context = page.context();
        yield context.addCookies(state.cookies);
    }
    if (state.localStorage) {
        yield setStorage({
            items: state.localStorage,
            page,
            storageType: 'localStorage',
        });
    }
    if (state.sessionStorage) {
        yield setStorage({
            items: state.sessionStorage,
            page,
            storageType: 'sessionStorage',
        });
    }
});
//# sourceMappingURL=setState.js.map