"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = exports.getArtifactPath = void 0;
const tslib_1 = require("tslib");
const path_1 = require("path");
const indexPages_1 = require("./context/indexPages");
const saveArtifacts_1 = require("./context/saveArtifacts");
const Registry_1 = require("./Registry");
exports.getArtifactPath = () => {
    let artifactPath = process.env.QAW_ARTIFACT_PATH;
    if (!artifactPath)
        return null;
    if (require.main) {
        artifactPath = path_1.join(artifactPath, path_1.basename(require.main.filename));
    }
    const browserName = process.env.QAW_BROWSER;
    if (browserName && artifactPath) {
        artifactPath = path_1.join(artifactPath, browserName);
    }
    return artifactPath;
};
exports.register = (context) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    Registry_1.Registry.instance().setContext(context);
    const promises = [];
    promises.push(indexPages_1.indexPages(context));
    const artifactPath = exports.getArtifactPath();
    if (artifactPath) {
        promises.push(saveArtifacts_1.saveArtifacts(context, artifactPath));
    }
    yield Promise.all(promises);
});
//# sourceMappingURL=register.js.map