"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addScriptToContext = exports.addScriptToPage = exports.webScript = void 0;
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const utils_1 = require("../utils");
const scriptPath = require.resolve('../../build/qawolf.web.js');
exports.webScript = fs_1.readFileSync(scriptPath, 'utf8').replace('var qawolf =', 'window.qawolf = window.qawolf ||');
exports.addScriptToPage = (page) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (page._hasQAWolfWeb)
        return;
    page._hasQAWolfWeb = true;
    yield utils_1.initEvaluateScript(page, exports.webScript);
});
exports.addScriptToContext = (context) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield utils_1.forEachPage(context, (page) => tslib_1.__awaiter(void 0, void 0, void 0, function* () { return exports.addScriptToPage(page); }));
});
//# sourceMappingURL=addScript.js.map