import { SelectorPart } from './playwrightEvaluator';
declare const CueTypes: readonly ["alt", "aria-label", "contenteditable", "for", "href", "name", "placeholder", "src", "title", "value", "attribute", "class", "id", "tag", "text"];
export declare type CueType = typeof CueTypes[number];
export declare type Cue = {
    level: number;
    type: CueType;
    value: string;
};
declare type BuildAttributeCues = {
    attributes: string[];
    element: HTMLElement;
    level: number;
    useAttributeName?: boolean;
};
export declare type BuildCues = {
    attribute?: string;
    isClick: boolean;
    target: HTMLElement;
};
declare type BuildCuesForElement = {
    attributes: string[];
    element: HTMLElement;
    isClick: boolean;
    level: number;
};
declare type BuildTextCues = {
    element: HTMLElement;
    isClick: boolean;
    level: number;
};
export declare const buildAttributeCues: ({ attributes, element, level, useAttributeName, }: BuildAttributeCues) => Cue[];
export declare const buildCueValueForTag: (element: HTMLElement) => string;
export declare const buildTextCues: ({ element, isClick, level, }: BuildTextCues) => Cue[];
export declare const buildCuesForElement: ({ attributes, element, isClick, level, }: BuildCuesForElement) => Cue[];
export declare const buildCues: ({ attribute, isClick, target }: BuildCues) => Cue[];
export declare const buildSelectorParts: (cues: Cue[]) => SelectorPart[];
export {};
